Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
  • Статус работы сервисов
  • Marketplace
    • Доступны в регионе
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Партнёрская программа
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»
Yandex Cloud Interconnect
KZ
    • Обзор сервиса
    • Обзор операций
    • Терминология
    • Точки присутствия
    • Трансиверы
    • Транковое подключение
    • Приватное соединение
    • Публичное соединение
    • Партнеры CIC
    • Мониторинг
    • Объемы данных и емкости подключений
    • Квоты и лимиты
  • Правила тарификации
  • Управление доступом
    • Аутентификация в API
      • Overview
        • Overview
        • Get
        • BatchGet
        • List
        • Update
        • Delete
        • ListPrivateConnections
        • ListPublicConnections
        • Move
        • ListOperations
  • История изменений

В этой статье:

  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • PrivateConnection
  • Peering
  • StaticRoute
  1. Справочник API
  2. REST (англ.)
  3. TrunkConnection
  4. ListPrivateConnections

Cloud Interconnect API, REST: TrunkConnection.ListPrivateConnections

Статья создана
Yandex Cloud
Обновлена 29 мая 2026 г.
  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • PrivateConnection
  • Peering
  • StaticRoute

Retrieves the list of PrivateConnection resources associated with the specified TrunkConnection.

HTTP requestHTTP request

GET https://cic.api.yandexcloud.kz/cic/v1/trunkConnections/{trunkConnectionId}/privateConnections

Path parametersPath parameters

Field

Description

trunkConnectionId

string

Required field. ID of the TrunkConnection resource.
To get the trunkConnection ID use a TrunkConnectionService.List request.

The maximum string length in characters is 50.

Query parametersQuery parameters

Field

Description

pageSize

string (int64)

The maximum number of results per page to return. If the number of available
results is larger than pageSize,
the service returns a ListTrunkConnectionPrivateConnectionsResponse.nextPageToken
that can be used to get the next page of results in subsequent list requests. Default value: 100.

The maximum value is 1000.

pageToken

string

Page token. To get the next page of results, set pageToken to the
ListTrunkConnectionPrivateConnectionsResponse.nextPageToken returned by a previous list request.

The maximum string length in characters is 100.

filter

string

A filter expression that filters resources listed in the response.

The maximum string length in characters is 1000.

ResponseResponse

HTTP Code: 200 - OK

{
  "privateConnections": [
    {
      "id": "string",
      "name": "string",
      "description": "string",
      "folderId": "string",
      "trunkConnectionId": "string",
      "vlanId": "string",
      "ipv4Peering": {
        "peeringSubnet": "string",
        "peerIp": "string",
        "cloudIp": "string",
        "peerBgpAsn": "string",
        "cloudBgpAsn": "string",
        "peerBgpMd5Key": "string"
      },
      "ipv4StaticRoutes": [
        {
          "prefix": "string"
        }
      ],
      "labels": "object",
      "status": "string",
      "createdAt": "string"
    }
  ],
  "nextPageToken": "string"
}

Field

Description

privateConnections[]

PrivateConnection

List of PrivateConnection resources.

nextPageToken

string

This token allows you to get the next page of results for list requests. If the number of results
is larger than ListTrunkConnectionPrivateConnectionsRequest.pageSize, use
the nextPageToken as the value
for the ListTrunkConnectionPrivateConnectionsRequest.pageToken query parameter
in the next list request. Subsequent list requests will have their own
nextPageToken to continue paging through the results.

PrivateConnectionPrivateConnection

A PrivateConnection resource.

Field

Description

id

string

ID of the privateConnection.

name

string

Name of the privateConnection.
The name must be unique within the folder.
Value must match the regular expression ``\

a-zA-Z?``.

description

string

Description of the privateConnection. 0-256 characters long.

folderId

string

ID of the folder that the privateConnection belongs to.

trunkConnectionId

string

ID of the trunk_connection that the privateConnection belongs to.

vlanId

string (int64)

VLAN_ID that the privateConnection uses in multiplexing.
Not used in connections over partners-II
Value range: [1, 4095]

ipv4Peering

Peering

IPv4 peering config of connection

ipv4StaticRoutes[]

StaticRoute

IPv4 StaticRoute config of connection

labels

object (map<string, string>)

Resource labels, key:value pairs.
No more than 64 per resource.
The maximum string length in characters for each value is 63.
Each value must match the regular expression [-_0-9a-z]*.
The string length in characters for each key must be 1-63.
Each key must match the regular expression [a-z][-_0-9a-z]*.

status

enum (Status)

Status of the privateConnection.

  • CREATING
  • UPDATING
  • DELETING
  • ACTIVE

createdAt

string (date-time)

Creation timestamp in RFC3339 text format.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

PeeringPeering

Field

Description

peeringSubnet

string

PeeringSubnet.
It's an ip with format ipPrefix/length where address part of ipPrefix is 0.

The maximum string length in characters is 50.

peerIp

string

PeerIp.
It's an ip with just an ipAddress format without mask.

The maximum string length in characters is 50.

cloudIp

string

CloudIp.
It's an ip with just an ipAddress format without mask.

The maximum string length in characters is 50.

peerBgpAsn

string (int64)

PeerBgpAsn.
PeerAsn excluding rfc5398 (excluding 64496 - 64511 and 65536 - 65551).

cloudBgpAsn

string (int64)

CloudBgpAsn.

peerBgpMd5Key

string

PeerBgpMd5Key.
Optional.

The maximum string length in characters is 200.

StaticRouteStaticRoute

Field

Description

prefix

string

Prefix.
It's an ip with format ipPrefix/length where address part of ipPrefix is 0.

Была ли статья полезна?

Предыдущая
Delete
Следующая
ListPublicConnections
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»